Subject: bug#29389: closed (Re: bug#29389: C-x b oc<TAB> couldn't find "*Occur*" buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Nov 2017 14:02:02 +0000

Your bug report

#29389: C-x b oc<TAB> couldn't find "*Occur*" buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29389: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29389
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29389: C-x b oc<TAB> couldn't find "*Occur*" buffer
From: Eli Zaretskii <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 24 Nov 2017 16:00:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: 積丹尼 Dan Jacobson
> 	<[email-masked]>
> Date: Wed, 22 Nov 2017 10:52:34 +0800
> Cc: [email-masked]
> 
> >>>>> "JM" == John Mastro <[email-masked]> writes:
> JM> 積丹尼 Dan Jacobson <[email-masked]> wrote:
> >> C-x b runs the command switch-to-buffer.
> JM> You just need to set read-buffer-completion-ignore-case to non-nil.
> 
> Thanks! One would hope the switch-to-buffer document string would
> mention it...

It's mentioned in the doc string of read-buffer, which is used to read
and complete on buffer names.  I've now added to the doc string of
switch-to-buffer a reference to read-buffer.

Subject: C-x b oc<TAB> couldn't find "*Occur*" buffer
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Wed, 22 Nov 2017 01:40:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

C-x b runs the command switch-to-buffer.

It usually is good guessing names via tab expansion, but today when I
typed

C-x b oc<TAB>

it couldn't find any buffer, so I had to do

C-x b Oc<TAB>

to be able to expand to the "*Occur*" buffer (that I created earlier
using M-x occur.)